%global momorel 2
Name: libisoburn
Summary: libisoburn
Version: 0.6.0
Release: %{momorel}m%{?dist}
License: GPLv2
Group: User Interface/Desktops
Source0: http://files.libburnia-project.org/releases/%{name}-%{version}.pl00.tar.gz
NoSource: 0
URL: http://libburnia-project.org/

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: intltool
BuildRequires: pkgconfig
BuildRequires: libburn-devel >= 0.8.2
BuildRequires: libisofs-devel >= 0.6.32

%description
libisofs is a library to create an ISO-9660 filesystem, and supports
extensions like RockRidge or Joliet. It is also a full featured
ISO-9660 editor, allowing you to modify an ISO image or multisession
disc, including file addition and removal, change of file names and
attributes, etc

%package devel
Summary: %{name}-devel
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
%{name}-devel

%prep
%setup -q

%build
%configure --disable-static \
  --enable-libreadline \
  --enable-libacl \
  --enable-xattr \
  --enable-zlib \
  --enable-libcdio \
  --enable-external-filters
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
/sbin/install-info %{_infodir}/xorriso.info %{_infodir}/dir || :

%postun
/sbin/ldconfig

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/xorriso.info %{_infodir}/dir || :
fi

%files
%defattr (-, root, root)
%doc AUTHORS CONTRIBUTORS COPYING COPYRIGHT README TODO
%{_bindir}/osirrox
%{_bindir}/xorrecord
%{_bindir}/xorriso
%{_bindir}/xorrisofs
%{_libdir}/%{name}.so.*
%exclude %{_libdir}/*.la
%{_infodir}/xorriso.info.*
%exclude %{_infodir}/dir
%{_mandir}/man1/xorriso.1.*

%files devel
%defattr (-, root, root)
%{_includedir}/%{name}
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/libisoburn-1.pc

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.0-2m)
- full rebuild for mo7 release

* Tue Jul  6 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.6.0-1m)
- update to 0.6.0

* Sun Jun 20 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.8-1m)
- initial build pl00

